

*{
margin:0;
padding:0;
box-sizing:border-box;
}
html {
  scroll-behavior: smooth;
}
body{
font-family: Arial;
background-color: rgb(0, 0, 0);
}
.header{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 60px;
  background: transparent;
  z-index: 10;
}
.nav{
  display: flex;
  gap: 40px;
}
.nav a{
  text-decoration: none;
  color: white;
 
  font-family: "Iosevka Charon Mono", monospace;
  font-size: 20px;
  letter-spacing: 1px;
}
nav a:hover {
  color: #FFD600;
}
.logo {
  font-family: michroma;
   mix-blend-mode: difference;
  color: aliceblue;
  text-decoration: none;
}
.logo a {
  text-decoration: none;
}
.logo h1 {
  text-decoration: none;
}
.logo:hover {
  color: #FFD600;
  opacity: 1;
  cursor: url("assets/mouse-cursor.svg"), auto;
}
.hero {
  position: relative;
  height: 100vh;
  width: 100%;
  overflow: hidden;
}
.hero-video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  transform: translate(-50%, -50%);
  object-fit: cover;

}

.hero-content {
  position: relative;
  z-index: 2;
  color: white;
  text-align: center;
}

/* QUEM SOMOS */

.quemsomos {
  height: 100vh;
  width: 1300px;
  margin-left: auto;
  margin-right: auto;
  background-color: black;
  color: #e6e5e5;
  font-family: Bahnschrift;
  font-weight: lighter;
  font-family: "Iosevka Charon Mono", monospace;
  text-transform: uppercase;
  font-size: 23px;
  text-align: justify;
  line-height: 1.1;
  padding: 250px 100px 100px 100px;
}

/* MOSAICO */

.grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

/* Item */
.item {
  position: relative;
  aspect-ratio: 1 / 1;
  overflow: hidden;
}

/* Image */
.item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* Yellow hover layer */
.item span {
  position: absolute;
  inset: 0;
  background: #FFD600;

  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Iosevka Charon Mono", monospace;
  font-size: 35px;
  color: black;

  opacity: 0;

}

/* Hover */
.item:hover span {
  opacity: 1;
  cursor: url("assets/mouse-cursor.svg"), auto;
}

/* Responsive */
@media (max-width: 1024px) {
  .grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .grid {
    grid-template-columns: 1fr;
  }
}

.serviços {
  height: 100vh;
  width: 1000px; 
  margin-top: 400px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  color: #e6e5e5;
  background-color: #000000;
  font-weight: lighter;
  font-family: "Iosevka Charon Mono", monospace;
  font-size: 30px;
  line-height: 1.2;
  padding: 100px 100px 100px 100px;

}

.contato {
  height: 100vh;
  color: #ffffff;
  background-color: blue;
  font-family: Michroma;
  font-weight: lighter;
  font-family: "Iosevka Charon Mono", monospace;
  font-size: 30px;
  line-height: 1.2;

}

.container {
  display: flex;
  height: 100vh;
}

/* LADO ESQUERDO */
.left {
  width: 50%;
  background: #111;
  color: #fff;
  padding: 61px;
  display: flex;
  flex-direction: column;
 
}

.info {
  line-height: 1.5;
}

.social {
  display: flex;
  gap: 15px;
}

.social a {
  color: white;
  text-decoration: none;
  font-size: 20px;
}

.left p {

  font-size: 22px;
}

.left h1 {
  margin-top: 350px;
    font-family: michroma;
    font-size: 40px;

}

/* LADO DIREITO */
.right {
  width: 50%;
  padding: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.right h1 {
  margin-bottom: 20px;
  font-size: 40px;
}

form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

input, textarea {
  padding: 10px;
  border: 1px solid #ccc;
  outline: none;
}

textarea {
  resize: none;
  height: 100px;
}

button {
  padding: 12px;
  border: none;
  background: black;
  color: white;
  cursor: pointer;
}

button:hover {
  background: #333;
}

